<style>

.irobotbox-top .irobotbox-head .title {font-weight: 400;font-size: inherit;margin: 0;}
.irobotbox-top .irobotbox-head .title:after {content: "⭐️⭐️⭐️⭐️⭐️ YOU MAY LIKE ! ⭐️⭐️⭐️⭐️⭐️";color:#ffffff;}
.irobotbox-top .irobotbox-list .title {color: #333;}
.irobotbox-top .irobotbox-list .expand {display: inline;}
@media (max-width:480px) {.irobotbox-top .irobotbox-list > li:nth-child(n+7) {display: none;}.irobotbox-top {display: block;}}
.irobotbox-top .irobotbox-head {background-color: #000000;}
.irobotbox-bottom, .irobotbox-append {display: none;}
@media (min-width: 640px) {.irobotbox-list-col7 .coupon, .irobotbox-list-col8 .coupon, .irobotbox-list-col9 .coupon, .irobotbox-list-col10 .coupon {display: none !important;}}
.irobotbox-list {margin: 0 0 0 0;padding: 0;background: #FFF;}
.irobotbox-list:after, 
.irobotbox-list:before {display: table;line-height: 0;content: "";}
.irobotbox-list:after {clear: both;}
.irobotbox-list > li {float: left;width: 16.66%;list-style: none;box-sizing: border-box;padding: 10px 0 10px 20px;position: relative;margin: 0;}
.irobotbox-append, .irobotbox-bottom {margin-top: 10px;}
.irobotbox-list-col6 > li {width: 16.66%;}
.irobotbox-list-col7 {margin-left: -18px;}
.irobotbox-list-col7 > li {width: 14.28%;padding-left: 18px;}
.irobotbox-list-col8 {margin-left: -16px;}
.irobotbox-list-col8 > li {width: 12.5%;padding-left: 16px;}
.irobotbox-list-col9 {margin-left: -15px;}
.irobotbox-list-col9 > li {width: 11.11%;padding-left: 15px;}
.irobotbox-list-col10 {margin-left: -14px;}
.irobotbox-list-col10 > li {width: 10%;padding-left: 14px;}
.irobotbox-list-col11 {margin-left: -12px;}
.irobotbox-list-col11 > li {width: 9.09%;padding-left: 12px;}
.irobotbox-list-col12 {margin-left: -10px;}
.irobotbox-list-col12 > li {width: 8.33%;padding-left: 10px;}
.irobotbox-list-collapse .expand {display: none;}
.irobotbox-list-collapse > li {padding: 0;}
@media (max-width:800px) {img {max-width: 100%;}.irobotbox-list {margin-left: -20px;}.irobotbox-list > li {width: 20%!important;padding-left: 20px;}}
@media (max-width:640px) {img {max-width: 100%;}.irobotbox-list {margin-left: -18px;}.irobotbox-list > li {width: 33.33%!important;padding-left: 18px;}}
@media (max-width:480px) {img {max-width: 100%;}
.irobotbox-list {margin-left: -15px;}
.irobotbox-list > li {width: 50%!important;padding-left: 15px;}}
.irobotbox-list .cover:after {display: block;content: "";padding-top: 100%;background-repeat: no-repeat;background-size: cover;background-position: center;}
.irobotbox-list a {text-decoration: none;}
.irobotbox-list a:hover .title {text-decoration: underline;}
.irobotbox-list .title {color: #333;margin: 5px 0;}
.irobotbox-list .title:after {display: block;display: -webkit-box;-webkit-line-clamp: 2;-webkit-box-orient: vertical;font-size: 14px;line-height: 1.4em;height: 2.8em;overflow: hidden;white-space: normal;word-break: break-word;-webkit-hyphens: auto;-ms-hyphens: auto;
hyphens: auto;}
.irobotbox-list .plus {height: 20px;overflow: hidden;}
.irobotbox-list .price {color: #E50010;}
.irobotbox-list .price:after {content: "";font-size: 14px;}
.irobotbox-list .origin {margin-left: 3px;font-size: 12px;color: #AAA;}
.irobotbox-list .origin:after {display: none;content: "";text-decoration: line-through;}
.irobotbox-list .coupon {display: none;width: 60px;height: 60px;border-radius: 50%;background: rgba(224,13,12,.8);color: #FFF;position: absolute;top: 10px;right: 10px;text-align: center;padding-top: 12px;box-sizing: border-box;}
.irobotbox-list .coupon:before {content: "";font-size: 20px;}
.irobotbox-list .coupon:after {content: "Off";font-size: 12px;position: absolute;bottom: 8px;right: 12px;}
.irobotbox-cs * {text-align: left;}
.irobotbox-cs {border: solid 1px #3AADFE;}
.irobotbox-top .irobotbox-head {min-height: 24px;}
.irobotbox-append .irobotbox-head .title, .irobotbox-bottom .irobotbox-head .title, .irobotbox-top .irobotbox-head .title {min-height: 12px;margin:0}
p:empty + hr {display: none;}hr + span.ebay {display: none;}
.dc_tracker_img {display: none;}
#ds_div > .dc_tracker_img:last-of-type {display: block;}

[data-lid="304997576684"] .cover:after {background-image: url(https://i.ebayimg.com/00/s/NzYwWDEwMDA=/z/KFsAAOSw5Utkl-tC/$_3.JPG?set_id=2);}
[data-lid="304997576684"] .title:after {content: "For Buick Excelle 2010-2014/Opel Astra J 2011-2012 Carplay WIFI GPS FM Car Radio";}
[data-lid="304997576684"] .price:after {content: "GBP122.99";}
[data-lid="304997576684"] .origin:after {display: none;}
[data-lid="304997576684"] .coupon {display: none;}

[data-lid="305222617678"] .cover:after {background-image: url(https://i.ebayimg.com/00/s/MTAwMFgxMDAw/z/q7cAAOSwLmplNj3M/$_3.JPG?set_id=2);}
[data-lid="305222617678"] .title:after {content: "Android Carplay Car Radio GPS Navi For Smart Fortwo 451 2010-2015 RDS Head Unit";}
[data-lid="305222617678"] .price:after {content: "GBP92.99";}
[data-lid="305222617678"] .origin:after {display: none;}
[data-lid="305222617678"] .coupon {display: none;}

[data-lid="305224853132"] .cover:after {background-image: url(https://i.ebayimg.com/00/s/MTAwMFgxMDAw/z/7IwAAOSwU0ZlQGaI/$_3.JPG?set_id=2);}
[data-lid="305224853132"] .title:after {content: "For Toyota Aygo /PEUGEOT 107 /Citroen C1 Car Stereo Radio Sat Nav Android 13.0";}
[data-lid="305224853132"] .price:after {content: "GBP102.99";}
[data-lid="305224853132"] .origin:after {display: none;}
[data-lid="305224853132"] .coupon {display: none;}

[data-lid="305256190045"] .cover:after {background-image: url(https://i.ebayimg.com/00/s/MTAwMFgxMDAw/z/FLwAAOSwP-tlSfHC/$_3.JPG?set_id=2);}
[data-lid="305256190045"] .title:after {content: "For Toyota Prius Plus V Alpha 2012-16 Android 11 Car Stereo Radio  GPS Head Unit";}
[data-lid="305256190045"] .price:after {content: "GBP87.99";}
[data-lid="305256190045"] .origin:after {display: none;}
[data-lid="305256190045"] .coupon {display: none;}

[data-lid="305216287566"] .cover:after {background-image: url(https://i.ebayimg.com/00/s/MTAwMFgxMDAw/z/UH8AAOSwsvJlMkLG/$_3.JPG?set_id=2);}
[data-lid="305216287566"] .title:after {content: "2+64G Android 13 Apple Carplay Car Radio GPS Navi For Smart Fortwo 451 2010-2015";}
[data-lid="305216287566"] .price:after {content: "GBP97.99";}
[data-lid="305216287566"] .origin:after {display: none;}
[data-lid="305216287566"] .coupon {display: none;}

[data-lid="305222419482"] .cover:after {background-image: url(https://i.ebayimg.com/00/s/MTAwMFgxMDAw/z/R2UAAOSwneBlNhlQ/$_3.JPG?set_id=2);}
[data-lid="305222419482"] .title:after {content: "2G+64G Android 13.0 Car Radio For Honda CRV 2002-2006 Apple Carplay GPS W/Camera";}
[data-lid="305222419482"] .price:after {content: "GBP112.99";}
[data-lid="305222419482"] .origin:after {display: none;}
[data-lid="305222419482"] .coupon {display: none;}

[data-lid="305244079692"] .cover:after {background-image: url(https://i.ebayimg.com/00/s/MTAwMFgxMDAw/z/5MwAAOSw9JllQ21j/$_3.JPG?set_id=2);}
[data-lid="305244079692"] .title:after {content: "For Nissan Qashqai J10 2006-2013 Android 10 Car Stereo Radio GPS Sat Navigation";}
[data-lid="305244079692"] .price:after {content: "GBP92.99";}
[data-lid="305244079692"] .origin:after {display: none;}
[data-lid="305244079692"] .coupon {display: none;}

[data-lid="305246278204"] .cover:after {background-image: url(https://i.ebayimg.com/00/s/NzMzWDgwMA==/z/rGgAAOSwIhJlRPhh/$_3.JPG?set_id=2);}
[data-lid="305246278204"] .title:after {content: "2+32G Android 10.1 DAB+ Car Radio GPS For Mercedes Benz C Class W204 S204 + cam";}
[data-lid="305246278204"] .price:after {content: "GBP124.99";}
[data-lid="305246278204"] .origin:after {display: none;}
[data-lid="305246278204"] .coupon {display: none;}

[data-lid="305256111684"] .cover:after {background-image: url(https://i.ebayimg.com/00/s/MTAwMFgxMDAw/z/XJoAAOSwW1ZlSeaw/$_3.JPG?set_id=2);}
[data-lid="305256111684"] .title:after {content: "For Honda CRV 2000-2006 Android 13 Car Radio GPS Navi Stereo FM Bluetooth Player";}
[data-lid="305256111684"] .price:after {content: "GBP112.99";}
[data-lid="305256111684"] .origin:after {display: none;}
[data-lid="305256111684"] .coupon {display: none;}

[data-lid="305309867282"] .cover:after {background-image: url(https://i.ebayimg.com/00/s/MTAwMFgxMDAw/z/4Y4AAOSw8HBlduv~/$_3.JPG?set_id=2);}
[data-lid="305309867282"] .title:after {content: "For Toyota Prius 2009-2015 Android Car Stereo Radio GPS Navi WiFi RDS Head Unit";}
[data-lid="305309867282"] .price:after {content: "GBP97.99";}
[data-lid="305309867282"] .origin:after {display: none;}
[data-lid="305309867282"] .coupon {display: none;}

[data-lid="305554286561"] .cover:after {background-image: url(https://i.ebayimg.com/00/s/MTAwMFgxMDAw/z/3i4AAOSwXXtmO2BB/$_3.JPG?set_id=2);}
[data-lid="305554286561"] .title:after {content: "Android 13 For Toyota Prius Plus V Alpha 2012-16 Car Stereo Radio GPS Navi Wifi";}
[data-lid="305554286561"] .price:after {content: "GBP92.99";}
[data-lid="305554286561"] .origin:after {display: none;}
[data-lid="305554286561"] .coupon {display: none;}

[data-lid="305678759347"] .cover:after {background-image: url(https://i.ebayimg.com/00/s/MTAwMFgxMDAw/z/otMAAOSw3o1ml47c/$_3.JPG?set_id=2);}
[data-lid="305678759347"] .title:after {content: "32G Carplay Android 13.0 For Ford Mondeo 3 2004-2007 Car Stereo Radio GPS BT FM";}
[data-lid="305678759347"] .price:after {content: "GBP107.99";}
[data-lid="305678759347"] .origin:after {display: none;}
[data-lid="305678759347"] .coupon {display: none;}

[data-lid="306594240606"] .cover:after {background-image: url(https://i.ebayimg.com/00/s/MTAwMFgxMDAw/z/JesAAeSwQrJpEeBS/$_3.JPG?set_id=2);}
[data-lid="306594240606"] .title:after {content: "For Mercedes Benz C-Class W204 S204 CarPlay Android 15 Car Stereo GPS Radio 64GB";}
[data-lid="306594240606"] .price:after {content: "GBP117.99";}
[data-lid="306594240606"] .origin:after {display: none;}
[data-lid="306594240606"] .coupon {display: none;}

[data-lid="306594257008"] .cover:after {background-image: url(https://i.ebayimg.com/00/s/MTAwMFgxMDAw/z/0ZMAAeSwYgBpEeMi/$_3.JPG?set_id=2);}
[data-lid="306594257008"] .title:after {content: "For Mercedes Benz C-Class W204 S204 Car Stereo Radio Android 15 CarPlay 4G+64GB";}
[data-lid="306594257008"] .price:after {content: "GBP132.99";}
[data-lid="306594257008"] .origin:after {display: none;}
[data-lid="306594257008"] .coupon {display: none;}

[data-lid="306594265301"] .cover:after {background-image: url(https://i.ebayimg.com/00/s/MTAwMFgxMDAw/z/Q80AAeSw6AtpEeRP/$_3.JPG?set_id=2);}
[data-lid="306594265301"] .title:after {content: "For Benz C-Class W204 S204 Car Stereo Radio Android 15 CarPlay 4G+64GB + Camera";}
[data-lid="306594265301"] .price:after {content: "GBP147.99";}
[data-lid="306594265301"] .origin:after {display: none;}
[data-lid="306594265301"] .coupon {display: none;}

[data-lid="306597608002"] .cover:after {background-image: url(https://i.ebayimg.com/00/s/MTAwMFgxMDAw/z/wKQAAeSwg5xpFFAl/$_3.JPG?set_id=2);}
[data-lid="306597608002"] .title:after {content: "4G+64GB Android 15 CarPlay Car Stereo Radio For Mercedes Benz C-Class W204 S204";}
[data-lid="306597608002"] .price:after {content: "GBP157.99";}
[data-lid="306597608002"] .origin:after {display: none;}
[data-lid="306597608002"] .coupon {display: none;}

[data-lid="306597609219"] .cover:after {background-image: url(https://i.ebayimg.com/00/s/MTAwMFgxMDAw/z/twgAAeSwd0tpFFBg/$_3.JPG?set_id=2);}
[data-lid="306597609219"] .title:after {content: "DAB+ Android 15 CarPlay Car Stereo GPS Radio For Mercedes Benz C-Class W204 S204";}
[data-lid="306597609219"] .price:after {content: "GBP137.99";}
[data-lid="306597609219"] .origin:after {display: none;}
[data-lid="306597609219"] .coupon {display: none;}

[data-lid="306597607989"] .cover:after {background-image: url(https://i.ebayimg.com/00/s/MTAwMFgxMDAw/z/I9QAAeSwNINpFFAl/$_3.JPG?set_id=2);}
[data-lid="306597607989"] .title:after {content: "64GB Android 15 CarPlay Car Stereo GPS Radio For Mercedes Benz C-Class W204 S204";}
[data-lid="306597607989"] .price:after {content: "GBP117.99";}
[data-lid="306597607989"] .origin:after {display: none;}
[data-lid="306597607989"] .coupon {display: none;}

</style>